Package ch.qos.logback.core.joran.spi

# Class ConfigurationWatchList

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.spi.ConfigurationWatchList

All Implemented Interfaces:
  `ContextAware`

public class ConfigurationWatchList extends ContextAwareBase

Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationWatchList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToWatchList(URL url)`
`ConfigurationWatchList`
`buildClone()`
`boolean`
`changeDetected()`
`void`
`clear()`
`List<File>`
`getCopyOfFileWatchList()`
`URL`
`getMainURL()`
`void`
`setMainURL(URL mainURL)`
The mainURL for the configuration file.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationWatchList

public ConfigurationWatchList()

## Method Details

### buildClone

public ConfigurationWatchList buildClone()

### clear

public void clear()

### setMainURL

public void setMainURL(URL mainURL)
The mainURL for the configuration file. Null values are allowed.

Parameters:
  `mainURL` -

### addToWatchList

public void addToWatchList(URL url)

### getMainURL

public URL getMainURL()

### getCopyOfFileWatchList

public List<File> getCopyOfFileWatchList()

### changeDetected

public boolean changeDetected()